Get Skill
curl --request GET \
--url https://www.corgea.app/api/v1/skills/{slug} \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/skills/{slug}"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/skills/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"skill": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "secure-review",
"slug": "secure-review",
"description": "Review code for security issues.",
"status": "approved",
"is_installable": true,
"latest_version": "1.0.0",
"latest_approved_version": "1.0.0",
"created_at": "2026-06-11T12:00:00+00:00",
"updated_at": "2026-06-11T12:00:00+00:00"
},
"version": {
"id": "8c23448e-f629-47c5-9f56-9f26f7ad3d01",
"version": "1.0.0",
"status": "approved",
"is_installable": true,
"security_concerns": "",
"created_at": "2026-06-11T12:00:00+00:00",
"content": "---\nname: secure-review\ndescription: Review code for security issues.\n---\n\n# Instructions"
}
}
Skills
Get Skill
Retrieve a single skill by slug. By default, the latest approved version is returned when one exists. A specific version can be requested with the version query parameter. Version content is included only when the selected version is approved.
GET
/
skills
/
{slug}
Get Skill
Authorizations
CorgeaTokenBearerAuth
API key for authentication
Path Parameters
The skill slug
Query Parameters
Specific skill version to retrieve
Was this page helpful?
⌘I
